RENICE(1)()

NAZWA
renice - poprawia priorytet działającego procesu

SKŁADNIA
renice [-n] priorytet [ [-p] ident-procesu ...] [ [-g] ident-grupy-procesów ...] [ [-u] użytkownik ...]
renice -h | -v

OPIS
Renice poprawia priorytet planisty jednego lub większej liczby procesów. Następujące parametry kto są interpretowane jako identyfikatory procesów, grup, lub nazwy użytkowników. Wykonanie renice na grupie procesów, powoduje że wszystkie procesy grupy będą miały zmieniony priorytet. Wykonanie renice na użytkowniku spowoduje, że wszystkie jego procesy zmienią priorytet. Domyślnie, zmieniane procesy są podawane przez ich identyfikator procesu (PID).

Opcje obsługiwane przez renice:

-n, - -priority
    Priorytet planisty procesu, grupy procesów lub użytkownika.

-g, - -pgrp
    Wymusza interpretację parametrów kto jako identyfikatorów grup procesów.

-u, - -user
    Wymusza interpretację parametrów kto jako nazw użytkowników.

-p, - -pid
    Resetuje interpretację parametrów kto na domyślną, czyli identyfikator procesu (PID).

-v, - -version
    Wyświetla wersję programu.

-h, - -help
    Wyświetla pomoc.

Na przykład,

    renice +1 987 -u daemon root -p 32

zmieni priorytety procesów o identyfikatorach 987 i 32 oraz wszystkich procesów użytkowników daemon i root.

Użytkownicy inni niż administrator mogą zmieniać priorytety wartości "nice" wyłącznie swoich procesów i mogą je stopniowo zwiększać tylko w zakresie 0 do PRIO_MAX (20), chyba że ustawiony jest limit zasobów (od Linuksa 2.6.12). Administrator może zmieniać priorytety procesów w zakresie PRIO_MIN (-20) do PRIO_MAX. Przydatnymi priorytetami są: 20 (proces będzie działał tylko gdy system nie ma nic innego do roboty), 0 (podstawowy priorytet planisty), cokolwiek ujemnego (aby znacznie przyspieszyć).

PLIKI
/etc/passwd
    do mapowania nazw użytkowników na ich identyfikatory.

ZOBACZ TAKŻE
getpriority(2), setpriority(2)

BŁĘDY
Zwykły użytkownik nie może zwiększać priorytetów planisty swoich procesów, nawet jeśli były one najpierw zmniejszone.
Jądro Linux (przynajmniej wersja 2.0.0) i linuksowa biblioteka libc (przynajmniej wersja 5.2.18) nie ustaliły dokładnie interfejsu wywołania systemowego do ustawiania wartości "nice". Z tego powodu renice zgłasza nieprawidłowe poprzednie wartości "nice".

HISTORIA
Polecenie renice pojawiło się w 4.0BSD.

DOSTĘPNOŚĆ
Polecenie renice jest częścią pakietu util-linux i jest dostępne pod adresem ftp://ftp.kernel.org/pub/linux/utils/util-linux/.

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika man są: Przemek Borys (PTM) <pborys@dione.ids.pl> i Michał Kułach <michal.kulach@gmail.com>.
Polskie tłumaczenie jest częścią projektu manpages-pl; uwagi, pomoc, zgłaszanie błędów na stronie http://sourceforge.net/projects/manpages-pl/. Jest zgodne z wersją 2.20.1 oryginału.